Package ru.bitel.bgbilling.kernel.contract.config.server.bean

# Class ContractModuleConfigDao

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig
ru.bitel.bgbilling.kernel.contract.config.server.bean.ContractModuleConfigDao

public class ContractModuleConfigDao extends AbstractContractConfig

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig

  `TABLE_CONTRACT_MODULE_CONFIG, TABLE_CONTRACT_PLUGIN_CONFIG`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_ALL, SQL_AND, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_JOIN, SQL_LEFT_JOIN, SQL_LIMIT, SQL_NOT_IN, SQL_ON, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractModuleConfigDao(Connection con, int moduleId)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static String`
  `getPaymentCheckAddress(Connection con, int moduleId, int contractId)`
  Получение адреса (email или телефон) для чека, более приоритетным является email.
  `static String`
  `getPaymentEmail(Connection con, int moduleId, int contractId)`
  Получение email для платежа (указанного перед платежом), или "" если не найдено; по возможности нормализует.
  `static String`
  `getPaymentPhone(Connection con, int moduleId, int contractId)`
  Получение телефона для платежа (указанного перед платежом), или "" если не найдено; по возможности нормализует.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.contract.config.server.bean.AbstractContractConfig

  `delete, deleteForContract, get, get, getKeyList, searchContractModuleConfig, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder, psSetDate, psSetInt, psSetString, queryAndIn`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractModuleConfigDao

    public ContractModuleConfigDao(Connection con, int moduleId)

- ## Method Details

  - ### getPaymentEmail

    public static String getPaymentEmail(Connection con, int moduleId, int contractId) throws Exception
    Получение email для платежа (указанного перед платежом), или "" если не найдено; по возможности нормализует.
    Throws:
      `Exception`

  - ### getPaymentPhone

    public static String getPaymentPhone(Connection con, int moduleId, int contractId) throws Exception
    Получение телефона для платежа (указанного перед платежом), или "" если не найдено; по возможности нормализует.
    Throws:
      `Exception`

  - ### getPaymentCheckAddress

    public static String getPaymentCheckAddress(Connection con, int moduleId, int contractId) throws Exception
    Получение адреса (email или телефон) для чека, более приоритетным является email. Или "" если не найдено; по возможности нормализует.
    Throws:
      `Exception`